/*
Plugin Name: Likno Web Accordion WordPress Plugin
Plugin URI: http://www.likno.com/jquery-accordion/wordpress-accordion.html
Description: WordPress plugin for the Likno Web Accordion - Create stylish, feature-rich accordion controls for your blogs!
Version: 1.1
Author: Likno Software
Author URI: http://www.likno.com/
*/

/*
 *These are all the javascript functions that plugin uses.
 *
 **/

var clip = null;
var clip2 = null;
var LWAC_TOTAL_TABS_JS;

    //adds ie indexOf
if(!Array.indexOf){
  Array.prototype.indexOf = function(obj){
   for(var i=0; i<this.length; i++){
    if(this[i]==obj){
     return i;
    }
   }
   return -1;
  }
}


       function lwac_copy_complete( client, text ) {
                alert("Copied 'DIV' element name to clipboard: " + text );
        }
        function lwac_template_tag_complete( client, text ) {
                alert("Copied template tag code to clipboard: \n" + text );
        }

	function lwac_show_tab(x) {
                var i;
		for (i=0; i<LWAC_TOTAL_TABS_JS; i++) {
			document.getElementById('LWAC_tab_body_'+i).style.display="none";
			document.getElementById('LWAC_tab_header_'+i).className = "lwac_tab_header";
		}
		document.getElementById('LWAC_tab_header_'+x).className = "lwac_tab_header_selected";
		document.getElementById('LWAC_tab_body_'+x).style.display="";
		document.getElementById('LWAC_selected_tab').value = x;
                document.getElementById("upload_form_accordion_name").innerHTML = eval('document.theform.LWAC_accordion_name_'+x+'.value;');

                       var lwac_onload = function(){

                       clip = new ZeroClipboard.Client();
                clip.setText(document.getElementById("lwac_divname"+x).value);
                clip.glue('lwac_copy_button_' + x);
                clip.addEventListener( 'onComplete', lwac_copy_complete );

                clip2 = new ZeroClipboard.Client();
                clip2.setText(document.getElementById("template_tag_code_"+x).value);
                clip2.glue('lwac_template_tag_button_' + x);
                clip2.addEventListener( 'onComplete', lwac_template_tag_complete );
                 };
              
                 if (window.addEventListener) // W3C standard
{
  window.addEventListener('load', lwac_onload, false); // NB **not** 'onload'
}
else if (window.attachEvent) // Microsoft
{
  window.attachEvent('onload', lwac_onload);
}
        
                                      
    }
	function lwac_uncheck(x) {
		if (document.getElementById('LWAC_accordion_active_'+x).checked) {
			document.getElementById('LWAC_unchecked_'+x).style.color="#009900";
			document.getElementById('LWAC_unchecked_'+x).innerHTML = "(this accordeon will appear in your blog)";
		} else {
			document.getElementById('LWAC_unchecked_'+x).style.color="#990000";
			document.getElementById('LWAC_unchecked_'+x).innerHTML = "Unchecked! (this accordion will not appear in your blog)";
		}
	}
	function lwac_set_path() {
		document.getElementById('LWAC_the_path').innerHTML = document.getElementById('LWAC_accordion_path').value;
	}
	function lwac_folder_info(x,t) {
		document.getElementById('LWAC_folder_info_'+t).style.display = x;
	}
        

        function lwac_disable_value(elem,e){
            var key;
            if(window.event) {
		key = e.keyCode;
		isCtrl = window.event.ctrlKey
	}
            else if(e.which) {
		key = e.which;
		isCtrl = e.ctrlKey;
	}

           if (isNaN(String.fromCharCode(key))) return false;
            return true;
        }

function lwac_accordion_position(value, i){
        if (clip2!=null)
            {
                clip2.destroy();
                clip2 = null;
            }
            document.getElementById('lwac_shortcode_position_' + i).style.display = "none";
            document.getElementById('lwac_widget_position_' + i).style.display = "none";
            document.getElementById('lwac_template_tag_position_' + i).style.display = "none";
            if (value == "shortcode" ){
                document.getElementById('lwac_shortcode_position_' + i).style.display = "block";
               if (document.getElementById('LWAC_accordion_name_'+i).value != document.getElementById('LWAC_accordion_name_'+i).getAttribute("original"))
                            document.getElementById('lwac_name_notice_'+i).innerHTML = "Name changed: You are using the shortcode positioning method. You have to go to each post or page using this accordion and change the 'name' property.";

            }
            else if (value == "lwac_widget"){
                document.getElementById('lwac_widget_position_' + i).style.display = "block";
                document.getElementById('lwac_name_notice_'+i).innerHTML = ""
            }
            else{
                document.getElementById('lwac_template_tag_position_' + i).style.display = "block";
                               if (document.getElementById('LWAC_accordion_name_'+i).value != document.getElementById('LWAC_accordion_name_'+i).getAttribute("original"))
               document.getElementById('lwac_name_notice_'+i).innerHTML = "Name changed: You are using the template tag positioning method. You have to go to each template file using this accordion and change the 'name' property.";

                clip2 = new ZeroClipboard.Client();
                clip2.setText(document.getElementById("template_tag_code_"+i).value);
                clip2.glue('lwac_template_tag_button_' + i);
                clip2.addEventListener( 'onComplete', lwac_template_tag_complete );
        }

        }

       
function lwac_disable_value(elem,e){
            var key;
            if(window.event) {
		key = e.keyCode;
		isCtrl = window.event.ctrlKey
	}
            else if(e.which) {
		key = e.which;
		isCtrl = e.ctrlKey;
	}

           if (isNaN(String.fromCharCode(key))) return false;
            return true;
        }

function lwac_show_field(x,t,field) {
                elem = document.getElementById("lwac_"+field+"_fieldset_"+t);
		elem.style.display = x?"":"none";
                document.getElementById("lwac_"+field+"_dots_"+t).innerHTML = x?":":" ...";
	}
function lwac_print_div(checked,num){
    
    if (checked){

        if (clip!=null)
        clip.destroy();
        clip = new ZeroClipboard.Client();
        document.getElementById("lwac_embeddedDetails_" +num).style.display = "";
                clip.setText(document.getElementById("lwac_divname"+num).value);
                clip.glue('lwac_copy_button_' + num);
                clip.show();
                clip.addEventListener( 'onComplete', lwac_copy_complete );
    }
    else{
        document.getElementById("lwac_embeddedDetails_" +num).style.display = "none";
        clip.hide();
    }
}

function lwac_name_change(x,val){
    document.getElementById('upload_form_accordion_name').innerHTML = val;
    document.getElementById('lwac_active_name_' + x).innerHTML =  val;
    document.getElementById('lwac_divname' + x).value =  'lwacAnchor-' +val;
    document.getElementById('template_tag_code_'+x).value ="&lt;?php if (function_exists('lwac_template_tag'))\n"+
    "lwac_template_tag('"+val+"');?&gt;";
   if (eval("document.theform.lwac_accordion_position_" + x +"[0].selected") == true){
        document.getElementById('lwac_name_notice_'+x).innerHTML = "Name changed: You are using the shortcode positioning method. You have to go to each post or page using this accordion and change the 'name' property.";
   }
   else if (eval("document.theform.lwac_accordion_position_" + x +"[1].selected") == true){
        document.getElementById('lwac_name_notice_'+x).innerHTML = "Name changed: You are using the template tag positioning method. You have to go to each template file using this accordion and change the 'name' property.";

    }
   else if (eval("document.theform.lwac_accordion_position_" + x +"[2].selected") == true){
        document.getElementById('lwac_name_notice_'+x).innerHTML = "";
   }
}

function lwac_form_validate(){
        var i=0;
        var j=0;
        var errorMsg='';
        var exclude = new Array();
        for (i=0; i<LWAC_TOTAL_TABS_JS; i++) {
            var message = "Name: \"" + document.getElementById("LWAC_accordion_name_"+i).value + "\" exists in accordion tabs: " + (i+1);
            var message2= '';

            if (exclude.indexOf(document.getElementById("LWAC_accordion_name_"+i).value)==-1)
            for (j = i+1; j<LWAC_TOTAL_TABS_JS; j++){

                    if (document.getElementById("LWAC_accordion_name_"+i).value == document.getElementById("LWAC_accordion_name_"+j).value)
                        message2 += ", " + (j+1);
                    }
                    if (message2.length > 0){
                        errorMsg+= message + message2 + ". Names must be unique for each accordion.\n";
                        exclude[exclude.length] = document.getElementById("LWAC_accordion_name_"+i).value;
                        
                    }
             }
         if (errorMsg.length>0)
             alert("The following error(s) occured: \n" +errorMsg);
         else
            document.theform.submit();
        }
